package com.bonus.canteen.core.drp.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;

@TableName("drp_material_procure")
@ApiModel(
   description = "货品采购数量设置"
)
public class DrpMaterialProcure implements Serializable {
   private static final long serialVersionUID = 697116984514807378L;
   @TableId
   private Long id;
   private Double startInterval;
   private Double endInterval;
   private Double count;
   private Long materialId;

   public Long getId() {
      return this.id;
   }

   public Double getStartInterval() {
      return this.startInterval;
   }

   public Double getEndInterval() {
      return this.endInterval;
   }

   public Double getCount() {
      return this.count;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setStartInterval(final Double startInterval) {
      this.startInterval = startInterval;
   }

   public void setEndInterval(final Double endInterval) {
      this.endInterval = endInterval;
   }

   public void setCount(final Double count) {
      this.count = count;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }
}
